#include <gtk/gtk.h>
#include <glade/glade.h>

void on_button1_clicked(GtkButton *button, gpointer user_data)
{
  gtk_label_set_text(GTK_LABEL(glade_xml_get_widget(user_data, "label1")), "Schalter wurde gedrueckt.");
}

int main(int argc, char **argv)
{
  GladeXML  *window;
  GtkWidget *button;

  gtk_init(&argc, &argv);
  /* Beschreibungsdatei laden */
  window = glade_xml_new ("./project1.glade", NULL, NULL);
  /* Schaltflche holen... */
  button = glade_xml_get_widget (window, "button1");
  /* ...und die Callbackfunktion registrieren. Beim Eintreten des Signals bergibt GTK+ "window" an die Callback-Funktion. */
  g_signal_connect (G_OBJECT (button), "clicked", G_CALLBACK (on_button1_clicked), window);

  gtk_main (); /* Hauptschleife */

  return 0;
}
